/**
 * @modification $Date: 2004/01/26 18:17:33 $
 * @statut       unstable
 * @file         com/memoire/slaf/SlafOptionPaneUI.java
 * @version      0.20
 * @author       Guillaume Desnoix
 * @email        guillaume-desnoix@memoire.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2004 Guillaume Desnoix
 */

package com.memoire.slaf;
import com.memoire.slaf.*;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;

public class SlafOptionPaneUI extends BasicOptionPaneUI
{
  public static ComponentUI createUI(JComponent c)
  {
    return new SlafOptionPaneUI();
  }
 
  public void installUI(JComponent c)
  {
    super.installUI(c);
    SlafUtils.setOpaque(c);
  }

  protected Container createSeparator()
  {
    JPanel r=new JPanel();
    r.setPreferredSize(new Dimension(3,3));
    return r;
  }

  /*
  protected Container createButtonArea()
  {
    FlowLayout lo=new FlowLayout(FlowLayout.RIGHT);
    lo.setHgap(5);
    lo.setVgap(5);

    JPanel bottom=new JPanel();
    bottom.setBorder(SlafManager.getBorder("OptionPane.buttonAreaBorder"));
    bottom.setLayout(lo);
    addButtonComponents(bottom, getButtons(), getInitialValueIndex());
    return bottom;
  }
  */

  /*
  protected boolean getSizeButtonsToSameWidth()
  {
    return false;
  }
  */
}
