/**
 * @modification $Date: 2004/01/26 18:17:34 $
 * @statut       unstable
 * @file         com/memoire/slaf/SlafTestApplet.java
 * @version      0.20
 * @author       Guillaume Desnoix
 * @email        guillaume-desnoix@memoire.com
 * @license      GNU General Public License 2 (GPL2)
 * @copyright    1999-2004 Guillaume Desnoix
 */

package com.memoire.slaf;
import com.memoire.slaf.*;

import java.lang.reflect.*; 
import java.awt.*; 
import javax.swing.*; 
import javax.swing.border.*; 

public class SlafTestApplet extends JApplet
{
  static
  {
    try
    {
      //if(args.length>0) SlafLookAndFeel.setCurrentTheme(args[0]);
      UIManager.setLookAndFeel(new SlafLookAndFeel("xxx"));
    }
    catch(UnsupportedLookAndFeelException ex) { }
  }

  public void init()
  {
    JPanel p=new JPanel(new SlafGridLayout(2,5,5));

    p.setBorder(new EmptyBorder(5,5,5,5));
    p.add(new JButton("Button"));
    p.add(new JLabel("Label"));
    p.add(new JTextField("..."));
    p.add(new JPasswordField("ABC"));
    setContentPane(new JScrollPane(p));
  }
}
